Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.pf.ui.edit
Class PropertyEditorManager

    java.lang.Object
      de.grogra.pf.ui.edit.PropertyEditorManager

All Implemented Interfaces:
  Disposable, java.util.EventListener

    public class PropertyEditorManager

extends java.lang.Object
implements Disposable, EventListener

Nested Class Summary

Nested classes/interfaces inherited from interface de.grogra.util.EventListener
`EventListener.Bicast, EventListener.Multicaster`

Constructor Summary
`PropertyEditorManager(Panel panel, boolean listenToSelection)`

Method Summary
`static Panel` | `createEditor(Context ctx, Map params)`
`void` | `dispose()`
`void` | `eventOccured(java.util.EventObject event)` This method is invoked on registered event listeners when `event` has occured.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyEditorManager

    public PropertyEditorManager(Panel panel,
                                 boolean listenToSelection)

Method Detail

### createEditor

    public static Panel createEditor(Context ctx,
                                     Map params)

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `Disposable`

### eventOccured

    public void eventOccured(java.util.EventObject event)

  Description copied from interface: `EventListener`
  This method is invoked on registered event listeners when `event` has occured. This general listener interface does not restrict the possible kinds of events. Concrete sources of events should specify which events they may fire.

  Parameters:
    `event` - an event

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD